Skip to content

Change a member's role

PATCH
/organisations/{orgId}/members/{firebaseUid}
curl --request PATCH \
--url https://kravos-orchestrator.onrender.com/organisations/example/members/example \
--header 'Content-Type: application/json' \
--data '{ "role": "owner" }'

Sets a member’s role to one of owner, admin, recruiter or hiring_manager. Refuses changes that would leave the organisation without an owner.

orgId
required
string
firebaseUid
required
string
Media typeapplication/json
object
role
required
string
Allowed values: owner admin recruiter hiring_manager

Default Response